
declare @p_idpadre int
declare @uid varchar(100)
select @uid=uid from seg_usuario where id=1
  
if not exists (select id from gui_funcionalidad where funcionalidad='Importar  Modelo Tempario' and id_funcionalidad = 136 and id_tipofuncionalidad=3)
begin

INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Importar  Modelo Tempario',136,3,'','',0,'','','','cat_catalogo_equipo_catalogo_tempario','',1)

set @p_idpadre = SCOPE_IDENTITY()

INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Insertar  Modelo Tempario',@p_idpadre,5,'','',0,'','','','','compartir',1)

end



